Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.i18n
Class Messages

    java.lang.Object
      |
      +--org.apache.axis.i18n.Messages

public class Messages
extends java.lang.Object

Author:
  Richard A. Sitze (rsitze@us.ibm.com), Karl Moss (kmoss@macromedia.com), Glen Daniels (gdaniels@macromedia.com)
See Also:
  `FUNCTIONAL TEMPLATE for Messages classes. Copy this template to your package. For subpackages of org.apache.axis.*, the internal constants are set appropriately. To adapt this scheme to an extension project (package prefix differs from org.apache.axis.*), edit the projectName attribute. The others shouldn't need to be changed unless this is being adapted to a non-AXIS related project..`

Constructor Summary
`Messages()`

Method Summary
`static java.lang.String` | `getMessage(java.lang.String key)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String[] args)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3)` Get a message from resource.properties from the package of the given object.
`static java.lang.String` | `getMessage(java.lang.String key, java.lang.String arg0, java.lang.String arg1, java.lang.String arg2, java.lang.String arg3, java.lang.String arg4)` Get a message from resource.properties from the package of the given object.
`static MessageBundle` | `getMessageBundle()`
`static java.util.ResourceBundle` | `getResourceBundle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Messages

    public Messages()

Method Detail

### getMessage

    public static java.lang.String getMessage(java.lang.String key)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.
  Parameters:
    `caller` - The calling object, used to get the package name and class loader
    `locale` - The locale
    `key` - The resource key
  Returns:
    The formatted message

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.
  Parameters:
    `caller` - The calling object, used to get the package name and class loader
    `locale` - The locale
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
  Returns:
    The formatted message

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.
  Parameters:
    `caller` - The calling object, used to get the package name and class loader
    `locale` - The locale
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
  Returns:
    The formatted message

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.
  Parameters:
    `caller` - The calling object, used to get the package name and class loader
    `locale` - The locale
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
  Returns:
    The formatted message

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.
  Parameters:
    `caller` - The calling object, used to get the package name and class loader
    `locale` - The locale
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
  Returns:
    The formatted message

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String arg0,
                                              java.lang.String arg1,
                                              java.lang.String arg2,
                                              java.lang.String arg3,
                                              java.lang.String arg4)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.
  Parameters:
    `caller` - The calling object, used to get the package name and class loader
    `locale` - The locale
    `key` - The resource key
    `arg0` - The argument to place in variable {0}
    `arg1` - The argument to place in variable {1}
    `arg2` - The argument to place in variable {2}
    `arg3` - The argument to place in variable {3}
    `arg4` - The argument to place in variable {4}
  Returns:
    The formatted message

### getMessage

    public static java.lang.String getMessage(java.lang.String key,
                                              java.lang.String[] args)
                                       throws java.util.MissingResourceException

  Get a message from resource.properties from the package of the given object.
  Parameters:
    `caller` - The calling object, used to get the package name and class loader
    `locale` - The locale
    `key` - The resource key
    `array` - An array of objects to place in corresponding variables
  Returns:
    The formatted message

### getResourceBundle

    public static java.util.ResourceBundle getResourceBundle()

### getMessageBundle

    public static MessageBundle getMessageBundle()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.